package com.muzhi.shennongshi.service.impl;

import com.dingtalk.api.DefaultDingTalkClient;
import com.dingtalk.api.request.OapiGettokenRequest;
import com.dingtalk.api.response.OapiGettokenResponse;
import com.muzhi.shennongshi.service.AccessTokenService;
import com.taobao.api.ApiException;
import org.springframework.stereotype.Service;


/**
 * @Author ZhangKan
 * @Data 15:39
 */

@Service
public class AccessTokenServiceImpl implements AccessTokenService {

    //神农氏
    //APPKEY
    private static String APPKEY = "dingafishtqycyanna3n";
    //APPSECRET
    private static String APPSECRET = "IXHzCtm2X-nmt6f3gdHEgRwKeCqHM9OZpF0xvW0DElZOByTJG4zwQ-Qx-3cZH-NM";
    //AgenthId:2358039528

    public static String accessToken = null;


    //获取access_token的方法（神农氏架构）
    @Override
    public String getAccessToken() {
        DefaultDingTalkClient client = new DefaultDingTalkClient("https://oapi.dingtalk.com/gettoken");
        OapiGettokenRequest request = new OapiGettokenRequest();
        request.setAppkey(APPKEY);
        request.setAppsecret(APPSECRET);
        request.setHttpMethod("GET");
        try {
            OapiGettokenResponse response = client.execute(request);
            accessToken = response.getAccessToken();
            System.out.println("AccessToken：" + accessToken);
        } catch (ApiException e) {
            e.printStackTrace();
        }
        return accessToken;
    }
}
