package com.muzhi.shennongshi.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "记录合同公司变更生效日期", description = "记录合同公司变更生效日期")
public class DateShennongshi {

    @ApiModelProperty(value = "人员id")
    private String userid;

    @ApiModelProperty(value = "合同公司id")
    private String htgsid;

    @ApiModelProperty(value = "生效日期")
    private Date date;
}
