package com.muzhi.shennongshi.APITest;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.muzhi.shennongshi.service.AccessTokenService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

@SpringBootTest
@Slf4j
public class Test1 {

    @Autowired
    private AccessTokenService accessTokenService;

    @Test
    public void panduan(){
        //判断日期是否为周六周日
        String date = "2022-10-08 00:00:00";
        DateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        Date date1 = null;
        try {
            date1 = format.parse(date);
            System.out.println("date1：" + date1);
        }catch (Exception e){
            e.printStackTrace();
        }
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date1);

        if (calendar.get(Calendar.DAY_OF_WEEK)==Calendar.SATURDAY||calendar.get(Calendar.DAY_OF_WEEK)==Calendar.SUNDAY){
            System.out.println("当前日期为周六周日！");
        }else {
            System.out.println("当前日期为工作日");
        }
    }

    @Test
    public void date(){
        int dkcs = 5;
        int ccts = 0;

        dkcs = dkcs/2;
        int dkcsLast = (int)dkcs;


        if (dkcs > 0){
            //实际出差天数
            ccts = ccts + dkcsLast;
            System.out.println("实际出差天数：" + ccts);
        }

        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        long startLong = new Long("1670342400000");
        //将时间戳转换为时间
        Date startDate = new Date(startLong);
        System.out.println("出差开始时间（时间型）：" + startDate);
        //将时间调整为yyyy-MM-dd HH:mm:ss时间样式
        String startString = simpleDateFormat.format(startDate);
        System.out.println("出差开始时间（时间样式）：" + startString);

        long endLong = new Long("1670428800000");
        //将时间戳转换为时间
        Date endDate = new Date(endLong);
        System.out.println("出差结束时间（时间型）：" + endDate);
        //将时间调整为yyyy-MM-dd HH:mm:ss时间样式
        String endString = simpleDateFormat.format(endDate);
        System.out.println("出差结束时间（时间样式）：" + endString);

        Calendar calendar1 = Calendar.getInstance();
        calendar1.setTime(endDate);
        //后面一天
        calendar1.add(Calendar.DAY_OF_MONTH,1);
        calendar1.set(Calendar.HOUR_OF_DAY,0);
        calendar1.set(Calendar.MINUTE,0);
        calendar1.set(Calendar.SECOND,0);
        calendar1.set(Calendar.MILLISECOND,0);
        String time1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar1.getTime());
        System.out.println("出差结束时间后面一天零点：" + time1);

        DateTime lastDateTime = DateUtil.parse(time1);
        System.out.println("出差结束时间后面一天（时间型）：" + lastDateTime);

        //获取当天前一天的零点零分零秒
        Date Date = new Date(System.currentTimeMillis());
        System.out.println("当前时间：" + Date);
        String dateNowString = simpleDateFormat.format(Date);
        System.out.println("当前时间（时间样式）：" + dateNowString);

        Calendar calendar = Calendar.getInstance();
        calendar.setTime(Date);
        //前一天
        calendar.add(Calendar.DAY_OF_MONTH,-1);
        calendar.set(Calendar.HOUR_OF_DAY,0);
        calendar.set(Calendar.MINUTE,0);
        calendar.set(Calendar.SECOND,0);
        calendar.set(Calendar.MILLISECOND,0);
        String time = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar.getTime());
        System.out.println("前一天零点：" + time);

        Calendar calendar111 = Calendar.getInstance();
        calendar111.setTime(Date);
        //前一个月第一天
        calendar111.add(Calendar.MONTH,-1);
        calendar111.set(Calendar.DAY_OF_MONTH,1);
        calendar111.set(Calendar.HOUR_OF_DAY,0);
        calendar111.set(Calendar.MINUTE,0);
        calendar111.set(Calendar.SECOND,0);
        calendar111.set(Calendar.MILLISECOND,0);
        String FORMtime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar111.getTime());
        System.out.println("前一个月第一天零点：" + FORMtime);

        Calendar calendar222 = Calendar.getInstance();
        int month222 = calendar222.get(Calendar.MONTH);
        //前一个月最后一天
        calendar222.set(Calendar.MONTH,month222-1);
        calendar222.set(Calendar.DAY_OF_MONTH,calendar222.getActualMaximum(Calendar.DAY_OF_MONTH));
        calendar222.set(Calendar.HOUR_OF_DAY,0);
        calendar222.set(Calendar.MINUTE,0);
        calendar222.set(Calendar.SECOND,0);
        calendar222.set(Calendar.MILLISECOND,0);
        String TOtime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(calendar222.getTime());
        System.out.println("前一个月最后一天零点：" + TOtime);

        //世界标准时间
        Date Date333 = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss'Z'");
        Calendar calendar333 = Calendar.getInstance();
        calendar333.setTime(Date333);
        calendar333.add(Calendar.HOUR_OF_DAY,-8);
        String format = sdf.format(calendar333.getTime());
        System.out.println("世界标准时间：" + format);

        //================时间比对================
//        //当前时间
//        DateTime parseA = DateUtil.parse(dateNowString);
//        //出差结束时间后面一天
//        DateTime parseB = DateUtil.parse(lastTime);
//        //比对两个时间是否属于同一天，属于为true,反之为false
//        boolean sameDay = DateUtil.isSameDay(parseA, parseB);
//        System.out.println("时间比对结果：" + sameDay);
    }

    //MD5加密
//    @Test
//    public void MD5(){
//
//        /*明文
//        * timestamp毫秒级时间戳
//        * */
//        //当前时间的时间戳
//        long timeMillis = System.currentTimeMillis();
//        String timestamp = String.valueOf(timeMillis);
//        log.info("当前时间的时间戳（毫秒级）：" + timestamp);
//
//        /*秘钥
//         * AppSecret应用秘钥
//         * */
//        String AppSecret = "34ea7fa251a2971a7a37ae387398cd67627501f7024c685e";
//
//        //加密后的字符串
//        String encodeStr= DigestUtils.md5Hex(AppSecret + "_" + timestamp);
//        log.info("MD5加密后的字符串encodeStr：" + encodeStr);
//
//        Map map = new HashMap();
//        map.put("appKey","shbbf1cqrbml3r0od4");
//        map.put("timestamp",timestamp);
//        map.put("verifyCode",encodeStr);
//        String parmsStr = JSON.toJSONString(map);
//        log.info("封装秘钥参数parmsStr：" + parmsStr);
//
//        //售后宝【接口授权】
//        //授权码
//        String access_token = null;
//        //失效时间
//        String expire_time = null;
//        try {
//            OkHttpClient client = new OkHttpClient().newBuilder()
//                    .build();
//            MediaType mediaType = MediaType.parse("application/json");
//            RequestBody body = RequestBody.create(mediaType, parmsStr);
//            Request request = new Request.Builder()
//                    .url("https://oapi.linker.ltd/service/auth/get_access_token")
//                    .method("POST", body)
//                    .addHeader("Content-Type", "application/json")
//                    .addHeader("Cookie", "acw_tc=0a45662a16728986832314856e80f39124201b89184960430078b3ebfda740")
//                    .build();
//
//            Response response = client.newCall(request).execute();
//            String responseBody = response.body().string();
//            log.info("售后宝【接口授权】返回信息：" + responseBody);
//            String substring1 = responseBody.substring(1, responseBody.length() - 1);
//            log.info("去除首尾双引号后的返回信息：" + substring1);
//            String substring2 = substring1.replaceAll("\\\\", "");
//            log.info("去除转义字符后的返回信息：" + substring2);
//
//            JSONObject jsonObject = JSON.parseObject(substring2);
//            JSONObject data = jsonObject.getJSONObject("data");
//            //授权码
//            access_token = data.getString("access_token");
//            //失效时间
//            expire_time = data.getString("expire_time");
//        }catch (Exception e){
//            e.printStackTrace();
//        }
//        log.info("【授权码】：" + access_token + "【失效时间】：" + expire_time);
//        //4364bbbc-3480-4cf2-a6c6-2e5a42635892
//        //1672913268514
//    }
}